# Get transactions

Fetch superficial information about movements to and from your account
**Rate limit:** 20 req / 1m0s

Endpoint: GET /api/v0/equity/history/transactions
Version: v0
Security: authWithSecretKey, legacyApiKeyHeader

## Security:

  - `authWithSecretKey` (unknown)
    http basic

  - `legacyApiKeyHeader` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `cursor` (string)
    Pagination cursor

  - `time` (string)
    Retrieve transactions starting from the specified time

  - `limit` (integer)
    Max items: 50

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `items` (array)

  - `items.amount` (number)
    Amount in the currency of the transaction

  - `items.currency` (string)
    Currency of the transaction

  - `items.dateTime` (string)

  - `items.reference` (string)
    ID

  - `items.type` (string)
    Enum: "WITHDRAW", "DEPOSIT", "FEE", "TRANSFER", "INTEREST_ON_FREE_CASH", "LENDING_INTEREST"

  - `nextPagePath` (string)

## Response 400:

  - `400` (unknown)
    Bad filtering arguments

## Response 401:

  - `401` (unknown)
    Bad API key

## Response 403:

  - `403` (unknown)
    Scope( history:transactions ) missing for API key

## Response 408:

  - `408` (unknown)
    Timed-out

## Response 429:

  - `429` (unknown)
    Limited: 20 / 1m0s

